package it.atcetera.jgett;

/**
 * Interface used to display information on Ge.tt user
 * 
 * @author Gian Luca Dalla Torre <g.dallatorre@atcetera.it>
 * @version $Id$
 *
 */
public interface UserInfo {
	
	/**
	 * Unique identifier generated by Ge.tt
	 * 
	 * @return A {@link String} containing the Ge.tt unique identifier
	 */
	public String getUserId();
	
	/**
	 * Ge.tt User full name
	 * @return A {@link String} containing the Ge.tt User full name
	 */
	public String getFullName();
	
	/**
	 * Ge.tt User associated email
	 * @return A {@link String} containing the email used to register in Ge.tt by this user
	 */
	public String getEMail();
	
	/**
	 * Storage information about this user
	 * @return A {@link StorageInfo} interface containing the information about the storage of this user
	 */
	public StorageInfo getStorageInfo();

}
